Skip to main content
GET
/
gpus
/
v2
/
jobs
/
{job_id}
Get Job
curl --request GET \
  --url https://api.novita.ai/gpus/v2/jobs/{job_id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/jobs/{job_id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "job-id",
  "type": "saveImage",
  "envs": [],
  "status": {
    "status": "Succeeded",
    "error": "",
    "message": ""
  },
  "log": {
    "endpoint": "https://example.com/logs/job-id"
  },
  "created_at": 1714982400,
  "member_id": "member-id",
  "owner_id": "owner-id",
  "deleted_time": 0,
  "update_at": 1714982600,
  "instance_id": "instance-id"
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Path Parameters

job_id
string
required

Job ID. String, length: 1-255 characters.

Response

200 - application/json

OK

id
string

Job ID

Example:

"job-id"

type
string

Job type

Example:

"saveImage"

envs
string[]

Job environment variables

Example:
[]
status
object

Job status

log
string

Job log endpoint

Example:
{
"endpoint": "https://example.com/logs/job-id"
}
created_at
integer

Creation time. Unix timestamp

Example:

1714982400

member_id
string

Creator member ID. Same semantics as the legacy creator field

Example:

"member-id"

owner_id
string

Owner user UUID. Same semantics as the legacy uuid field

Example:

"owner-id"

deleted_time
integer

Deletion time. Unix timestamp

Example:

0

update_at
integer

Update time. Same semantics as v1, Unix timestamp

Example:

1714982600

instance_id
string

Associated instance ID

Example:

"instance-id"

Last modified on June 23, 2026